% Matrices de Householder: H = I-2*v*v'
% Es una matriz ortogonal o unitaria:
% sus columnas formas una base ortonormal
% o equivalentemente H^-1 = H'

N = 100

v = rand(N,1);
v = v/norm(v);
H = eye(N) - 2*v*v';

norm(H'*H-eye(N))