function x = ltrs(A,b)
    % Resuelve un sistema con matriz triangular inferior
    n = size(A,1);
    x = zeros(n,1);
    x(1) = b(1)/A(1,1);
    for ii = 2:n
        x(ii) = ( b(ii) - A(ii,1:(ii-1))*x(1:(ii-1)) )/A(ii,ii);
    end
end

